[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.ClearInvisibleSelection

Clears selected tree node(s) in the control if they are not visible.

## Declaration

Source position: comctrls.pp line 3744

`public procedure TCustomTreeView.ClearInvisibleSelection;`

## Description

If MultiSelect has been enabled in the Options for the control, the ClearMultiSelection method in Items is called to clear the values in the Selections property. Otherwise the Selected property for the TTreeNode instance in Selected is set to False (which makes the Selected property unassigned).

No action are performed if MultiSelect has not been enabled and Selected has not been assigned.